<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseCheckAvail StructType
 * @subpackage Structs
 */
class CruiseCheckAvail extends AbstractStructBase
{
    /**
     * The CruiseCheckAvailRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseCheckAvail
     */
    public $CruiseCheckAvailRQ;
    /**
     * Constructor method for CruiseCheckAvail
     * @uses CruiseCheckAvail::setCruiseCheckAvailRQ()
     * @param \StructType\JP_CruiseCheckAvail $cruiseCheckAvailRQ
     */
    public function __construct(\StructType\JP_CruiseCheckAvail $cruiseCheckAvailRQ = null)
    {
        $this
            ->setCruiseCheckAvailRQ($cruiseCheckAvailRQ);
    }
    /**
     * Get CruiseCheckAvailRQ value
     * @return \StructType\JP_CruiseCheckAvail|null
     */
    public function getCruiseCheckAvailRQ()
    {
        return $this->CruiseCheckAvailRQ;
    }
    /**
     * Set CruiseCheckAvailRQ value
     * @param \StructType\JP_CruiseCheckAvail $cruiseCheckAvailRQ
     * @return \StructType\CruiseCheckAvail
     */
    public function setCruiseCheckAvailRQ(\StructType\JP_CruiseCheckAvail $cruiseCheckAvailRQ = null)
    {
        $this->CruiseCheckAvailRQ = $cruiseCheckAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseCheckAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
